//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : KEYS LCD
// BOARD    : ZL27ARM (with STM32F103VBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Display information, when key is pressed.
//
//    Settings and connections on ZL27ARM:
//      JP11 (LED) - OFF
//      LCD_1602 connected to LCD socket
//
//******************************************************************************
#include "stm32f10x_lib.h"
#include "board.h"

int main(void)
{

	SystemInit();
	LCD_Initialize();
	
	LCD_WriteTextXY("ZL27ARM KEYS LCD", 0, 0);
	LCD_WriteTextXY("Press any key",0,1);
	
	do{
		if(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW0 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW1 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW2 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW3 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED); // wait for switch release
		}
	
	}	while(1);
}
